fenykepalbum_4/fenykepalbum_4/Models/ErrorViewModel.cs
using System;

namespace fenykepalbum_3.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

fenykepalbum_4/fenykepalbum_4/Models/VáltakozóFényképek.cs
using Microsoft.AspNetCore.Hosting;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;

namespace fenykepalbum_3.Models
{
    public class VáltakozóFényképek
    {
        public (List<string>,List<string>) KépekHelye
        {
            get {
                Random r = new Random();
                List<string> képekútvonala = Directory.EnumerateFiles(@"wwwroot/img")
                                                .Select(x =>  x.Substring(7)).Take(3).ToList();  
                List<string> képekcíme= képekútvonala
                                                 .Select(x => x.Substring(3,x.Length-6)).Take(3).ToList();
                return (képekútvonala, képekcíme)   //tuple
                    ; }
               
        }        
    }
}

fenykepalbum_4/fenykepalbum_4/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using fenykepalbum_3.Models;

namespace fenykepalbum_3.Controllers
{
    public class HomeController : Controller
    {     
        public IActionResult Index()
        {
            VáltakozóFényképek váltakozó = new VáltakozóFényképek();
            (List<string> Képekútvonala, List<string> Képekcíme) = váltakozó.KépekHelye;
            ViewData["útvonalak"] = Képekútvonala;
            ViewData["címek"] = Képekcíme;
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

fenykepalbum_4/fenykepalbum_4/Controllers/KepeimController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using fenykepalbum_3.AspNetCore.NewDb.Models;

namespace fenykepalbum_3.Views
{
    public class KepeimController : Controller
    {
        private readonly fenykepContext _context;

        public KepeimController(fenykepContext context)
        {
            _context = context;
        }

        // GET: Kepeks
        public async Task<IActionResult> Index()
        {
            return View(await _context.Kepek.ToListAsync());
        }

        // GET: Kepeks/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var kepek = await _context.Kepek
                .FirstOrDefaultAsync(m => m.Id == id);
            if (kepek == null)
            {
                return NotFound();
            }

            return View(kepek);
        }

        // GET: Kepeks/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Kepeks/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Filenev,Holkeszult,Mikor,Leiras")] Kepek kepek)
        {
            if (ModelState.IsValid)
            {
                _context.Add(kepek);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return View(kepek);
        }

        // GET: Kepeks/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var kepek = await _context.Kepek.FindAsync(id);
            if (kepek == null)
            {
                return NotFound();
            }
            return View(kepek);
        }

        // POST: Kepeks/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,Filenev,Holkeszult,Mikor,Leiras")] Kepek kepek)
        {
            if (id != kepek.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _context.Update(kepek);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!KepekExists(kepek.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(kepek);
        }

        // GET: Kepeks/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var kepek = await _context.Kepek
                .FirstOrDefaultAsync(m => m.Id == id);
            if (kepek == null)
            {
                return NotFound();
            }

            return View(kepek);
        }

        // POST: Kepeks/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var kepek = await _context.Kepek.FindAsync(id);
            _context.Kepek.Remove(kepek);
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool KepekExists(int id)
        {
            return _context.Kepek.Any(e => e.Id == id);
        }
    }
}

fenykepalbum_4/fenykepalbum_4/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div id="myCarousel" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
        <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
        <li data-target="#myCarousel" data-slide-to="1"></li>
        <li data-target="#myCarousel" data-slide-to="2"></li>
    </ol>
    <div class="carousel-inner">
        <div class="carousel-item active">
            <img src=@(((List<string>)ViewData["útvonalak"])[0]) class="d-block w-100" alt=@(((List<string>)ViewData["címek"])[0]) />
        </div>
        <div class="carousel-item">
            <img src=@(((List<string>)ViewData["útvonalak"])[1]) class="d-block w-100" alt=@(((List<string>)ViewData["címek"])[1]) />
        </div>
        <div class="carousel-item">
            <img src=@(((List<string>)ViewData["útvonalak"])[2]) class="d-block w-100" alt=@(((List<string>)ViewData["címek"])[2]) />
        </div>
    </div>
    <a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>


</div>
<script type="text/javascript">
    $('.carousel').carousel()
</script>

fenykepalbum_4/fenykepalbum_4/Views/Kepeim/Create.cshtml
@model fenykepalbum_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Létrehozás";
}

<h1>Létrehozás</h1>

<h4>Képek</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Filenev" class="control-label"></label>
                <input asp-for="Filenev" class="form-control" />
                <span asp-validation-for="Filenev" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Holkeszult" class="control-label"></label>
                <input asp-for="Holkeszult" class="form-control" />
                <span asp-validation-for="Holkeszult" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mikor" class="control-label"></label>
                <input asp-for="Mikor" class="form-control" />
                <span asp-validation-for="Mikor" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Leiras" class="control-label"></label>
                <input asp-for="Leiras" class="form-control" />
                <span asp-validation-for="Leiras" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Létrehoz" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Vissza a listához</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

fenykepalbum_4/fenykepalbum_4/Views/Kepeim/Delete.cshtml
@model fenykepalbum_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Delete";
}

<h1>Törlés</h1>

<h3>Biztos benne?</h3>
<div>
    <h4>Képek</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Filenev)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Filenev)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Holkeszult)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Holkeszult)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Mikor)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Mikor)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Leiras)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Leiras)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Törlés" class="btn btn-danger" /> |
        <a asp-action="Index">Vissza a listához</a>
    </form>
</div>

fenykepalbum_4/fenykepalbum_4/Views/Kepeim/Details.cshtml
@model fenykepalbum_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Részletes";
}

<h1>Részletes...</h1>

<div>
    <h4>Képek</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Filenev)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Filenev)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Holkeszult)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Holkeszult)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Mikor)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Mikor)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Leiras)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Leiras)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.Id">Szerkesztés</a> |
    <a asp-action="Index">Vissza a listához</a>
</div>

fenykepalbum_4/fenykepalbum_4/Views/Kepeim/Edit.cshtml
@model fenykepalbum_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Szerkesztés";
}

<h1>Szerkesztés</h1>

<h4>Képek</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="Filenev" class="control-label"></label>
                <input asp-for="Filenev" class="form-control" />
                <span asp-validation-for="Filenev" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Holkeszult" class="control-label"></label>
                <input asp-for="Holkeszult" class="form-control" />
                <span asp-validation-for="Holkeszult" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mikor" class="control-label"></label>
                <input asp-for="Mikor" class="form-control" />
                <span asp-validation-for="Mikor" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Leiras" class="control-label"></label>
                <input asp-for="Leiras" class="form-control" />
                <span asp-validation-for="Leiras" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Mentés" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Vissza a listához</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

fenykepalbum_4/fenykepalbum_4/Views/Kepeim/Index.cshtml
@model IEnumerable<fenykepalbum_3.AspNetCore.NewDb.Models.Kepek>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Új létrehozása</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Filenev)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Holkeszult)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Mikor)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Leiras)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Filenev)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Holkeszult)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Mikor)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Leiras)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Id">Szerkesztés</a> |
                <a asp-action="Details" asp-route-id="@item.Id">Részletek</a> |
                <a asp-action="Delete" asp-route-id="@item.Id">Törlés</a>
            </td>
        </tr>
}
    </tbody>
</table>

fenykepalbum_4/fenykepalbum_4/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Fényképalbum v_4</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
              crossorigin="anonymous"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"/>
    </environment>
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Fényképalbum v_4</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Kepeim" asp-action="Index">Képeim</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <partial name="_CookieConsentPartial" />
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2019 - Fényképalbum v_4 - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
        </script>
    </environment>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @RenderSection("Scripts", required: false)
</body>
</html>